<?php
/**
 * Plugin Name: My Custom Functions
 * Plugin URI: http://www.izoneafrica.net
 * Description: This is an awesome custom plugin with functionality that I'd like to keep when switching things.
 * Author: William Kungu
 * Author URI: http://www.izoneafrica.net
 * Version: 0.1.0
 */

/* Place custom code below this line. */

/*Fuction that returns an array of posts from a particular Category ID*/
function izone_category_posts($id){

	$args = array(
	 'orderby' => 'post_date',
	 'order' => 'DESC',
	 'category' => $id,
	 'post_type' => 'post',
	 'post_status' => 'publish',
	 'orderby' => 'date',
	 'order' => 'asc'
	 );
	 
	 $posts = get_posts( $args );	 

	 return $posts;
}

function custom_filter(){

	$content = apply_filters( 'the_content', get_the_content());
    $content = str_replace( ']]>', ']]&gt;', $content );

	return $content;

}


function filter_post ($more_link_text = '(more...)', $stripteaser = 0, $more_file = '') {

	$content = get_the_content($more_link_text, $stripteaser, $more_file);
	$content = apply_filters('the_content', $content);
	$content = str_replace(']]>', ']]&gt;', $content);
	
	return $content;
}

function get_excerpt_by_id($post_id){
    $temp = $post;
    $post = get_post( $post_id );
    
    setup_postdata( $post );

    $excerpt = get_the_excerpt();

    wp_reset_postdata();
    $post = $temp;

    $excerpt = filter_me($excerpt);

    return $excerpt;
}





/* Place custom code above this line. */
?>