<?php
/**
 * The header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package izone
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title><?php wp_title( '|', true, 'right' ); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php wp_head(); ?>
</head>


<body <?php if(is_home()){echo 'class="index"';}?>>

	
	    <!-- HEADER SECTION -->
		<header>
			
			<section class="centerAligner">
				<!-- SITE LOGO -->
				<figure class="logo"><a href=" <?php echo esc_url( home_url( '/' ) ); ?>"></a></figure>
				<!-- END SITE LOGO -->
				
				<!-- MAIN NAVIGATION -->
				<nav>
				
					<?php //wp_nav_menu(); ?>

					<ul id="main_menu">

						<li class="current">
							<a href="#ihome" id="home" rel="m_PageScroll2id" class="current home-link">Home</a>
							<span class="hoverIndicator"></span>
						</li>
						<li>
							<a href="#iwhat" id="what" rel="m_PageScroll2id" class="what-link" >What we do</a>
							<span class="hoverIndicator"></span>
							
						</li>
						<li>
							<a href="#iassets" id="assets" rel="m_PageScroll2id" class="assets-link" >Assets</a>
							<span class="hoverIndicator"></span>
							
						</li>

						<li>
							<a href="#icases" id="casestudies" rel="m_PageScroll2id" class="cases-link" >Case Studies</a>
							<span class="hoverIndicator"></span>
						</li>
						<!-- <li>

							<a href=".who" id="who" >Who we are</a>
							<span class="hoverIndicator"></span>

						</li>
						<li>

							<a href=".blog" id="blog" >Blog</a>
							<span class="hoverIndicator"></span>

						</li> -->
						<li>
							<a href="#icontact" id="contact" rel="m_PageScroll2id" class="contact-link" >Contact US																																																							</a>
							<span class="hoverIndicator"></span>

						</li>
					</ul>
					
				</nav>
				<!-- END MAIN NAVIGATION -->
				
				<figure class="mobileNavIcon"></figure>

			</section>
			
			
			
		</header>
		<!-- END HEADER SECTION -->


