// JavaScript Document
// JavaScript Document

/* ========= 

The following is the order of the jquery functions for equity corporate

 =========== */

jQuery(document).ready(function($) {


	// Preaload all image on the site and then initialize the site

	$('body').jpreLoader({
			
			showSplash:false,
			autoClose:true,
			loaderVPos: '50%'
				
	},function(){
		initializePage();
	});
   
	var windowWidth = $(window).width();
	var windowHeight = $(window).height();
	var desktopView = false;
	
	// On resizing the browser reset all the width dependent variables

	$(window).resize(function(){ 

		windowWidth = $(window).width();
		windowHeight = $(window).height();

		overlayOffset = $(".content").offset().top;
		
		if(windowWidth > 1280){

			$(".whatUl li article, .assetUl li article, .caseUl li article").css({
				
				"overflow":"visible",
				"display":"block"

			});

			$(".centerAligner").css({"margin":"0 auto"});

			// Make sure the navigation is visible and the navIcon should not have the class of open

			$(".mobileNavIcon").removeClass("open");
			$("header nav").show();
			
			$("li .excerpt").hide();
			$("li .main_content").addClass('hidden').hide();

			mobileAccordionCreated = false;

			setSliderMinHeight();
			//setContentWrapperMinHeight();
			
		}else{

			$("header nav").hide();
			//setContentWrapperMinHeight();

			createMobileAccordion();

			$("#slideShow").css({

				"min-height":"100px"

			});

			
		}

		//$.waypoints('refresh');

		//setContentWrapperMinHeight();

	});
	
	$(window).scroll(function(){

		

	});
	
	/* ========= PAGE PRELOADER FUNCTIONALITY =========== */
	
	/* When all the images have been preloaded you will do the following
	1. set the minHeight of the content to be the current height of the screen
	*/

	
	function initializePage(){

		if( $(window).width() > 1280 ){

			$.stellar({

				verticalOffset: 250

			});

			setSliderMinHeight();

		}

		
		
		//restorePageHome();
		setActiveLink();
		createSlideShow();
		//setContentWrapperMinHeight();
		createMobileAccordion();
		categorizeWhatLi();
		createGoogleMap();




		
		// All other initial functions you need to call come here
		
	}

	function setSliderMinHeight(){

		$("#slideShow").css({

			"min-height": $(window).height()

		});
	}

	function restorePageHome(){

		//$("html,body").animate({ scrollTop: 0}, 2000);
		//$("html,body").scrollTop(0);
	}

	function createSlideShow(){

 		$('#slideShow').nivoSlider({

 			effect: 'slideInRight',
 			animSpeed: 1000,                 
		    pauseTime: 4000,               
		    startSlide: 0

 		});

	}

	var mobileAccordionCreated = false;

	function createMobileAccordion(){

		if( (windowWidth < 1280) && !mobileAccordionCreated){

			
			$("li .excerpt").hide();

			$("li .main_content").removeClass('hidden').show();

			$(".whatUl li, .assetUl li, .caseUl li").removeClass("open");
			//$(".whatUl li:first, .assetUl li:first, .caseUl li:first").addClass("open");

			$(".whatUl li article, .assetUl li article, .caseUl li article").slideUp(500);
			//$(".whatUl li:first article, .assetUl li:first article, .caseUl li:first article").slideDown(500);

			mobileAccordionCreated = true;

			//console.log("The accordion has been created and should not create again");		


		}else{

			//console.log("Possible to create accordion");

		}
	}

	function setActiveLink(){

		var single_post = $('.singleArticle');

		if(single_post.hasClass('case_study')){

			$("nav li").removeClass("current");
			$("nav a").removeClass("current");

			var link = $("nav li").find('a.cases-link');
			link.addClass("current");
			link.parent('li').addClass("current");
			//$("nav li:first-child").addClass("current");
			//$("nav li:first-child a").addClass("current");
		}

	}

	setInterval(animateIzoneLogo,5000);
	setInterval(animateScrollDownButton,2000);

	function animateIzoneLogo(){

		$(".izoneLogo").animate({
			
			left: Math.random() * ($(window).width() - 85),
			top: Math.random() * ($(window).height() - 85),
			opacity:Math.random() * 1


		},500)

	}

	function animateScrollDownButton(){

		$(".scrollDown").animate({
			"bottom":"25px"
		},700,function(){

			$(this).animate({"bottom":"20px"},700);

		});
	}

	//This function determines the maximum widht of the contentWrapper section class

	var backroundContentZindex = 1;

	function setContentWrapperMinHeight(){

		if(windowWidth > 1280){

			$(".content").each(function(value,index){

				backroundContentZindex += 10;

				$(this).css({"min-height":windowHeight});


			});
		}else{

			$(".content").each(function(value,index){

				backroundContentZindex += 10;

				$(this).css({"min-height":"100px"});


			});

		}

		
	}
	
	var currentContentStateCounter = 0;

	function createGoogleMap() {

		var position = new google.maps.LatLng(-1.279199, 36.760615);
		var myOptions = {
			zoom: 16,
		center: position,
		mapTypeId: google.maps.MapTypeId.ROADMAP
		};
		var map = new google.maps.Map(
			document.getElementById("izoneMap"),
			myOptions);

		var marker = new google.maps.Marker({
			position: position,
			map: map,
			title:"Izone Africa"
		}); 

		var contentString = '<h1>Izone Africa</h1> <p>This is where we are located and you are welcome to pass by anytime you wish</p>';
		var infowindow = new google.maps.InfoWindow({
			content: contentString
		});

		google.maps.event.addListener(marker, 'click', function() {

			infowindow.open(map,marker);

		});

		//$.waypoints('refresh');

	}


	/* ========= HEADER NAVIGATION FUNCTIONALITY =========== */

	$(".mobileNavIcon").click(toggleMenuOpen);



	function toggleMenuOpen(){

		if($(this).hasClass("open")){

			//Toggle open class and close the menu

			$(this).removeClass("open");
			$("header nav").slideUp();

		}else{

			$(this).addClass("open");
			$("header nav").slideDown();

		}

	}

	/* ========= END HEADER NAVIGATION FUNCTIONALITY =========== */


	
	$(".content").each(function(index,value){


		if($(this).hasClass("home")){

			/*$(".waypointTrigger").waypoint(function(direction) {

				//console.log("Way point created for home page " + direction);

				$("nav a").removeClass("current");
				$("nav li").removeClass("current");

				$("nav a#home").addClass("current");
				$("nav a#home").parent("li").addClass("current");

			},{

				offset: 0

			});
			*/
			

		}else{

			$(this).waypoint(function(direction) {

				//console.log("waypoint for "+ $(this).attr("class") + " with offset of 100");

				$("nav a").removeClass("current");
				$("nav li").removeClass("current");

				$("nav a#"+$(this).data("target")).addClass("current");
				$("nav a#"+$(this).data("target")).parent("li").addClass("current");

			},{

				offset: 0

			});

		}


		// $(this).waypoint(function(direction) {

		// 	if(direction == "down" && currentContentStateCounter < $(".content").length){

		// 		currentContentStateCounter++;

		// 	}

		// 	if(direction == "up" && currentContentStateCounter > 1){

		// 		currentContentStateCounter--;

		// 	}

		// 	$("nav a").removeClass("current");
		// 	$("nav a#"+$(this).data("target")).addClass("current");

			
		// 	console.log("You are currently in the " + $(this).data("target") + " In the following direction " + direction + " current state counter " + currentContentStateCounter ); // up, down, left, or right
		
		// });

	});

	//$(".scrollDown").click(navigateToNextSection);

	var destination = 0;

	function navigateToNextSection(){

		destination = $(this).parents(".content").next().offset().top;

		$("html,body").animate({ scrollTop: destination}, 1000);

	}

	/* ========= END PAGE PRELOADER FUNCTIONALITY =========== */

	/* ========= WAYPOINTS FUNCTIONALITY =========== */

	$("nav a").each(function(index,value){

		$(this).anchorScroll({speed:1500,fx: "jswing"});

	});

	/* ========= END WAYPOINTS FUNCTIONALITY =========== */

	/* ========= WHAT PAGE FUNCTIONALITY =========== */

	// CATEGORIZE WHAT LI



	function categorizeWhatLi(){

		// Now categorizing the what list items
		$(".whatUl li, .assetUl li, .caseUl li").each(function(index,value){

			switch(index%3){

				case 0:

					$(this).addClass("first");

					break;

				case 2:

					$(this).addClass("last");

					break;
			}
		});

	}

	// WHAT LI HOVER FUNCTIONALITY
	$(".whatUl li, .assetUl li, .caseUl li").hover(showDetail,hideDetail);

	function showDetail(){
		
		if(windowWidth < 1280){

			return false;

		}

		if(Modernizr.csstransitions){

			$(this).css("z-index",200);

			$(this).find("h3").stop().animate({"margin-top":"10px"},1000);
			$(this).find("h4").hide();
			$(this).find(".excerpt").show();
			// $(this).find(".imageContainer").css({

			// 	"transform": "rotateY(0deg)"

			// });

			// $(this).find("figure").css({

			// 	"opacity":1

			// });

		}else{

			//console.log("No transform support");
			$(this).find("h3").stop().animate({"margin-top":"10px"},1000);
			//$(this).find(".imageContainer").stop().fadeIn(1000);
			//$(this).find(".videoContainer").stop().fadeIn(500);


		}

		


	}

	function hideDetail(){

		if(windowWidth < 1280){

			return false;
			
		}

		if(Modernizr.csstransitions){

			$(this).css("z-index",90);
			$(this).find("h3").stop().animate({"margin-top":"70px"},1000);
			$(this).find("h4").show();
			$(this).find(".excerpt").hide();

			if($(this).hasClass("first")){

				// $(this).find(".imageContainer").css({

				// 	"transform": "rotateY(-180deg)"

				// });

			}else{

				// $(this).find(".imageContainer").css({

				// 	"transform": "rotateY(180deg)"

				// });

			}

			

			$(this).find("figure").css({

				"opacity":0
				
			});

		}else{

			$(this).find("h3").stop().animate({"margin-top":"70px"},1000);
			//$(this).find(".imageContainer").stop().fadeOut(1000);
			//$(this).find(".videoContainer").fadeOut(50);
			

		}

		

	}

	$(".whatUl li, .assetUl li, .caseUl li").click(toggleAccordion);

	$(".caseUl li a").click(function(e){
		window.location.href = $(this).attr('href');
		return true;
	});


	function toggleAccordion(){

		if($(window).width() > 1280){

			return false;

		}else{
						
			var status = $(this).hasClass("open");
			
			if(status){				
				var article = $(this).find("article");				
				article.slideUp(500);
				$(this).removeClass("open");				
			}else{
				$(".whatUl li, .assetUl li, .caseUl li").removeClass("open");			
			    $(".whatUl li article, .assetUl li article, .caseUl li article").stop().slideUp(500);
				$(this).addClass("open");
				$(this).find("article").stop().slideDown(500);
			}

		}
	}

	$(".whatUl li .readMore").click(showWhatOverlay);
	$(".assetUl li .readMore").click(showAssetOverlay);

	var overlayTopPosition = "";

	function showWhatOverlay(){

		var container = $(this).parent('article');
		var content = container.find('.main_content').html();
		var image_source = container.find('.featured_image').text();
		var heading = container.parent('li').find('h3.heading').text();

		var image = '<img src="'+image_source+'"/>';

		var overlay = $(".whatOverlay article");

		overlay.find('.overlay_heading').html(heading);
		overlay.find('.overlay_content').html(content);
		$(".whatOverlay figure").html(image);

		overlayTopPosition = $(this).parents("li").position().top ; 

		$(".whatOverlay").hide();

		$(".whatOverlay").css({"top":overlayTopPosition});

		// Dynamically Inject content from the current selected what we do here and then fade it in

		$(".whatOverlay").fadeIn();


	}




	function showAssetOverlay(){

		var container = $(this).parent('article');
		var content = container.find('.main_content').html();
		var image_source = container.find('.featured_image').text();
		var heading = container.parent('li').find('h3.heading').text();

		var image = '<img src="'+image_source+'"/>';

		var overlay = $(".assetsOverlay article");

		overlay.find('.overlay_heading').html(heading);
		overlay.find('.overlay_content').html(content);
		$(".assetsOverlay figure").html(image);

		overlayTopPosition = $(this).parents("li").position().top ; 

		$(".assetsOverlay").hide();

		$(".assetsOverlay").css({"top":overlayTopPosition});

		// Dynamically Inject content from the current selected what we do here and then fade it in

		$(".assetsOverlay").fadeIn();


	}



	$(".whatOverlay .closer, .assetsOverlay .closer").live("click",closeOverlay);

	function closeOverlay(){

		$(".whatOverlay, .assetsOverlay").fadeOut(500,function(){

			$(".whatOverlay, .assetsOverlay").hide();

		});

	}

	/* ========= END WHAT PAGE FUNCTIONALITY =========== */

	/* ========= BLOG SECTION FUNCTINALIONALITY =========== */

	// initialize Isotope
	var $container = $('.blogIsotope ul')
	// layout Isotope again after all images have loaded
	/*
	$container.imagesLoaded( function() {
	  $container.isotope({

	  	itemSelector: '.item',
	  	layoutMode: 'fitRows'

	  });
	});
	*/

	/* ========= END BLOG SECTION FUNCTINALIONALITY =========== */

	/* ========= CONTACT FUNCTIONALITY =========== */


	$('.comment-button').on('click', function(){
		
		var height = $('.comments-area').height();
		var position = $(this).position().top;

		

		if(height > 0){
			$('#commentform').toggle(500);
			$('.comments-area').animate({height:'0px'});
		}else{
			$('#commentform').toggle(500);
			//$('.comments-area').animate({height:'550px'});
			//$('.comments-area').animate({top:position});
			//$('html, body').animate({ scrollTop: $(document).height() }, 1000);
			//$("html, body").animate({ scrollTop: $(document).height()-$(window).innerHeight() });
			//$("html, body").animate({ scrollTop: $("#respond").scrollTop() }, 1000);
			//$('.case-post').scrollTop($('.case-post')[0].scrollHeight);  	
			//var $target = $('html,body'); 
			//$target.animate({scrollTop: $target.height()}, 1000);		
			$("#commentform").velocity("scroll", { 
			  container: $("#comments"),
			  duration: 800,
			  delay: 500
			});
			
		}
		
	});



	Custom.init();
	FormValidation.init();

	/* $('#main_menu').onePageNav({
		changeHash: true
	});	*/


	$("ul#main_menu li").on('click', function(event){

		event.preventDefault();		

		if($("body").hasClass("index")) {

	       /*
	       console.log("You are on home page");

		    var locationHref = window.location.href;
			var elementClick = $(this).attr("href");
				
			var destination = $(elementClick).offset().top;
				
			$("html,body").animate({ scrollTop: destination}, 300);
				
			event.preventDefault();
			return false;

	       // Go to the hash section that you have clicked on.
	       */

	       return true;


	    }else{	

	    	//console.log("You are not on the home page");
	    	var url = $(this).find('a').attr("href");
	    	document.location = "http://localhost/izone_site/index.php"+url;

	    	// Get the link target 
	    	// Redirect to home page and use the id to take you to the section on the page

	    }

	});


	
	

	
});