// JavaScript Document
// JavaScript Document

/* ========= 

The following is the order of the jquery functions for equity corporate

 =========== */

jQuery(document).ready(function($) {
	

	// Preaload all image on the site and then initialize the site

	$('body').jpreLoader({
			
			showSplash:false,
			autoClose:true,
			loaderVPos: '50%'
				
	},function(){
		initializePage();
	});
   
	var windowWidth = $(window).width();
	var windowHeight = $(window).height();
	var desktopView = false;
	
	// On resizing the browser reset all the width dependent variables

	$(window).resize(function(){ 

		windowWidth = $(window).width();
		windowHeight = $(window).height();

		getScrollTopOfContent();

		overlayOffset = $(".content").offset().top;
		
		if(windowWidth > 960){

			$(".centerAligner").css({"margin":"0 auto"});

			// Make sure the navigation is visible and the navIcon should not have the class of open

			$(".mobileNavIcon").removeClass("open");
			$("header nav").show();
			//$(".whatUl li p").hide();

			mobileAccordionCreated = false;

			setSliderMinHeight();
			
			
		}else{

			$("header nav").hide();
			

			
			$("#slideShow").css({

				"min-height":"100px"

			});

			
		}


	});
	

	var contentContainers = $(".content");
	var contentPositionArray = [];
	
	function getScrollTopOfContent(){

		contentPositionArray = [];

		contentContainers.each(function(index, element) {

            var currentScrollPosition = $(this).position();
			var currentScrollTop = currentScrollPosition.top;
			
			contentPositionArray.push(currentScrollTop);
			
        });

	}


	$(window).scroll(changeActiveLink);
	
	function changeActiveLink(){

		var currentBodyOffestTop = $(window).scrollTop();

	}
	
	/* ========= PAGE PRELOADER FUNCTIONALITY =========== */
	
	/* When all the images have been preloaded you will do the following
	1. set the minHeight of the content to be the current height of the screen
	*/

	
	function initializePage(){

		if( $(window).width() > 960 ){

			setSliderMinHeight();

		}

		

		getScrollTopOfContent();
		
		setActiveLink();
		//createSlideShow();
		categorizeWhatLi();
		
	}

	function setSliderMinHeight(){

		$("#slideShow").css({

			"min-height":$(window).height(),

		});
	}

	function restorePageHome(){

		$("html,body").animate({ scrollTop: 0}, 2000);
		
	}


	function showOverlay(){

		$(".overlay").fadeIn(500);

	}

	function closeOverlay(){

		console.log('You are now closing ')

		$(".overlay").fadeOut(500);

	}

	/*function createSlideShow(){

 		$('#slideShow').nivoSlider({

 			animSpeed: 1000,                 
		    pauseTime: 2000,               
		    startSlide: 0,
		    effect:'slideInRight'

 		});

	}*/

	var mobileAccordionCreated = false;

	

	function setActiveLink(){

		var single_post = $('.singleArticle');

		if(single_post.hasClass('case_study')){

			$("nav li").removeClass("current");
			$("nav a").removeClass("current");

			var link = $("nav li").find('a.cases-link');
			link.addClass("current");
			link.parent('li').addClass("current");
			
		}

	}


	var currentContentStateCounter = 0;	


	/* ========= HEADER NAVIGATION FUNCTIONALITY =========== */

	$(".mobileNavIcon").click(toggleMenuOpen);

	function toggleMenuOpen(){

		if($(this).hasClass("open")){

			//Toggle open class and close the menu

			$(this).removeClass("open");
			$("header nav").slideUp();

		}else{

			$(this).addClass("open");
			$("header nav").slideDown();

		}

	}


	function closeOpenMenu(){

		var icon = $('.mobileNavIcon');

		if(icon.hasClass("open")){

			icon.removeClass("open");
			$("header nav").slideUp();

		}

	}

	

	$(".waypointTrigger").each(function(index,value){

		$(this).waypoint(function(direction) {

			console.log("waypoint for "+ $(this).attr("class") + " with offset of 100");

			$("nav a").removeClass("current");
			$("nav li").removeClass("current");

			$("nav a#"+$(this).data("target")).addClass("current");
			$("nav a#"+$(this).data("target")).parent("li").addClass("current");

		},{

			offset: 90

		});

	});
	

	$(".scrollDown").click(navigateToNextSection);

	var destination = 0;

	function navigateToNextSection(){

		destination = $(this).parents(".content").next().offset().top;

		$("html,body").animate({ scrollTop: destination}, 1000);

	}

	/* ========= END PAGE PRELOADER FUNCTIONALITY =========== */

	

	/* ========= WHAT PAGE FUNCTIONALITY =========== */

	

	// CATEGORIZE WHAT LI

	function categorizeWhatLi(){

		// Now categorizing the what list items
		$(".whatUl li").each(function(index,value){

			switch(index%3){

				case 0:

					$(this).addClass("first");

					break;

				case 2:

					$(this).addClass("last");

					break;
			}
		});

	}

	// WHAT LI HOVER FUNCTIONALITY
	//$(".whatUl li").hover(showWhatDetail,hideWhatDetail);

	function showWhatDetail(){
		
		if(windowWidth < 960){

			return false;

		}

		if(Modernizr.csstransitions){

			$(this).css("z-index",200);

			$(this).find("h3").stop().animate({"margin-top":"10px"},1000);
			$(this).find("h4").hide();
			$(this).find("p").show();
			
		}else{

			console.log("No transform support");
			$(this).find("h3").stop().animate({"margin-top":"10px"},1000);
			
		}	


	}

	function hideWhatDetail(){

		if(windowWidth < 960){

			return false;
			
		}

		if(Modernizr.csstransitions){

			$(this).css("z-index",90);
			$(this).find("h3").stop().animate({"margin-top":"70px"},1000);
			$(this).find("h4").show();
			$(this).find("p").hide();
			
			$(this).find("figure").css({

				"opacity":0
				
			});

		}else{

			$(this).find("h3").stop().animate({"margin-top":"70px"},1000);					

		}

		

	}

	//$(".whatUl li").click(toggleAccordion);

	function toggleAccordion(){

		if($(window).width() > 960){

			return false;

		}else{

			$(".whatUl li").removeClass("open");
			$(this).addClass("open");
			$(".whatUl li article").stop().slideUp(500);
			$(this).find("article").stop().slideDown(500);

		}
	}

	$(".whatUl li .readMore").click(showWhatOverlay);
	$(".assetUl li .readMore").click(showAssetOverlay);

	var overlayTopPosition = "";

	function showWhatOverlay(){

		var container = $(this).parent('article');
		var content = container.find('.main_content').html();
		var image_source = container.find('.featured_image').text();
		var heading = container.parent('li').find('h3.heading').text();

		var image = '<img src="'+image_source+'"/>';

		var overlay = $(".whatOverlay article");

		overlay.find('.overlay_heading').html(heading);
		overlay.find('.overlay_content').html(content);
		$(".whatOverlay figure").html(image);

		overlayTopPosition = $(this).parents("li").position().top ; 

		$(".whatOverlay").hide();

		$(".whatOverlay").css({"top":overlayTopPosition});

		// Dynamically Inject content from the current selected what we do here and then fade it in

		$(".whatOverlay").fadeIn();


	}




	function showAssetOverlay(){

		var container = $(this).parent('article');
		var content = container.find('.main_content').html();
		var image_source = container.find('.featured_image').text();
		var heading = container.parent('li').find('h3.heading').text();

		var image = '<img src="'+image_source+'"/>';

		var overlay = $(".assetsOverlay article");

		overlay.find('.overlay_heading').html(heading);
		overlay.find('.overlay_content').html(content);
		$(".assetsOverlay figure").html(image);

		overlayTopPosition = $(this).parents("li").position().top ; 

		$(".assetsOverlay").hide();

		$(".assetsOverlay").css({"top":overlayTopPosition});

		// Dynamically Inject content from the current selected what we do here and then fade it in

		$(".assetsOverlay").fadeIn();


	}

	$(".whatOverlay .closer, .assetsOverlay .closer").live("click",closeOverlay);

	function closeOverlay(){

		$(".whatOverlay, .assetsOverlay").fadeOut(700,function(){

			$(".whatOverlay, .assetsOverlay").hide();

		});

	}

	$(".assetContainer .readMore").click(expandAssetContainer);
	$(".assetContainer .readLess").click(closeAssetContainer);

	$(".assetContainer .sendRequest").click(sendQuoteRequest);

	$(".requestForm .closer").click(closeRequestForm);

	function expandAssetContainer(){

		$(this).hide();
		$(this).parent(".assetContainer").find(".expanded").slideDown(500);
		$(this).parent(".assetContainer").find(".readLess").show();

	}

	function closeAssetContainer(){

		$(this).hide();
		$(this).parents(".expanded").slideUp(500);
		$(this).parents(".assetContainer").find(".readMore").show();

	}

	var requestFormTop = "";

	function sendQuoteRequest(){

		showOverlay();

		console.log("This is the ofsset top of the button " + $(this).offset().top);

		requestFormTop = $(this).offset().top - $(".requestForm").outerHeight()/2;

		$(".requestForm").css({"top":requestFormTop+"px"}).fadeIn(1000);


	}

	function closeRequestForm(){

		$(".requestForm").fadeOut(500);
		$(".overlay").fadeOut(500);

	}



	/* ========= END WHAT PAGE FUNCTIONALITY =========== */

	/* ========= BLOG SECTION FUNCTINALIONALITY =========== */

	// initialize Isotope
	var $container = $('.blogIsotope ul')
	

	/* ========= END BLOG SECTION FUNCTINALIONALITY =========== */

	/* ========= CONTACT FUNCTIONALITY =========== */


	// VALIDATE CONTACT US FORM

	Custom.init();
	FormValidation.init();


	/* ========= WAYPOINTS FUNCTIONALITY =========== */

	$("nav a").each(function(index,value){

		$(this).on('click', function(event){
			closeOpenMenu();
		});
		
		$(this).anchorScroll({speed:1500,fx: "jswing"});

	});


	$("ul#main_menu li").on('click', function(event){

		event.preventDefault();

		if($("body").hasClass("index")) {	        

	       // Go to the hash section that you have clicked on.

	       return true;
	       

	    }else{	

	    	var url = $(this).find('a').attr("href");
	    	//toggleMenuOpen();
	    	document.location = "http://localhost/izone_site/index.php"+url;


	    }

	});



	$('.featureBanner figure img, .main_content figure img').removeAttr("width");
	$('.featureBanner figure img, .main_content figure img').removeAttr("height");

	/* ========= END WAYPOINTS FUNCTIONALITY =========== */
	
});